Name: i4uc
Version: 0.5.6
Release: 4%{dist}
Summary: Multiple platform IDE for developing micro-controllers firmware
License: GPLv3+
Group: Applications/Engineering
URL: http://trac.usla.org.ar/i4uc/wiki
Source:	http://trac.usla.org.ar/i4uc/raw-attachment/wiki/Descargas/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: libtool
BuildRequires: intltool >= 0.41.0
BuildRequires: glib >= 2.20.0
BuildRequires: gtk2-devel
BuildRequires: libgee >= 0.1.5
BuildRequires: gtksourceview2 >= 2.6.0
BuildRequires: libgudev1-devel
BuildRequires: libgee-devel
BuildRequires: gtksourceview2-devel

%description
i4uc is a Multiple platform IDE for developing 
micro-controllers firmware

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Wl,-rpath=%{_libdir}/%{name}"
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/%{_libdir}/%{name}
mv %{buildroot}/%{_libdir}/libi4uccore* %{buildroot}/%{_libdir}/%{name}
mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}/%{_datadir}/locale/es/LC_MESSAGES
mv %{buildroot}/usr/doc/%{name}/* %{buildroot}/%{_docdir}/%{name}-%{version}/
rm -f %{buildroot}/%{_docdir}/%{name}-%{version}/README
rm -f %{buildroot}/%{_docdir}/%{name}-%{version}/INSTALL
rm -rf %{buildroot}/%{_libdir}/%{name}/*.so
rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/%{name}/*.la
%find_lang i4uc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f i4uc.lang
%defattr(-,root,root,-)
%{_bindir}/i4uc-gtk
%{_libdir}/%{name}/*.so.*
%{_datadir}/%{name}/*
%{_datadir}/applications/i4uc.desktop
%{_datadir}/gtksourceview-2.0/language-specs/pic18f.lang
%{_docdir}/%{name}-%{version}/AUTHORS
%{_docdir}/%{name}-%{version}/COPYING
%{_docdir}/%{name}-%{version}/MAINTAINERS
%{_docdir}/%{name}-%{version}/NEWS
%{_docdir}/%{name}-%{version}/ChangeLog

%changelog
* Thu Jun 30 2011 lletelier <larry.letelier@gmail.com> - 0.5.6-1
- Fixed Release
- Sed RPM_BUILD_ROOT -> buildroot
- Clean, clean.

* Wed Jun 29 2011 lletelier <larry.letelier@gmail.com> - 0.5.6-1
- Fixed Licence GPLv3+
- Add doc macro section
- Remove .la static library
- Remove unnecessary entries
- Add i4uc.mo language file

* Mon Jun 27 2011 lletelier <larry.letelier@gmail.com> - 0.5.6-1
- Fixed docs 

* Sun Jun 12 2011 germanrs <germanrs@fedoraproject.org> - 0.5.6-1
- Initial package
